Get the LinkedIn status of a DMP segment
curl --request GET \
--url https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "<string>",
"matched_count": 123,
"audience_size": 123
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{}{}{
"error": "<string>",
"error_description": "<string>"
}profiles
Get the LinkedIn status of a DMP segment
Reads the segment from LinkedIn on every call.
GET
/
profiles
/
{id}
/
ad-accounts
/
{ad_account_id}
/
audiences
/
{audience_id}
/
status
Get the LinkedIn status of a DMP segment
curl --request GET \
--url https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences/{audience_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "<string>",
"matched_count": 123,
"audience_size": 123
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{}{}{
"error": "<string>",
"error_description": "<string>"
}Path Parameters
Profile Id must be in UUID format.
The numeric LinkedIn ad account id, without the urn:li:sponsoredAccount: prefix.
The numeric DMP segment id.
Was this page helpful?

